//i2c.h


#ifndef _i2c_h_
#define _i2c_h_
#include <sys/types.h>

//для отладки функций I2C
#define _dbg			0

#define _i2cBus			"/dev/i2c-1"
#define i2cBUFFER_LENGTH	0x20
#define _i2c_WR			0xFE	//and
#define _i2c_RD			0x01	//or

int		i2cHandle;

//открытие устройства I2C
extern int	i2c_OPEN(u_int8_t address);
//запись в устройство I2C
extern int	i2c_WRIETE(u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
//чтение устройства I2C
extern int	i2c_READ(u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
//закрытие устройства I2C
extern int	i2c_CLOSE(void);

#endif

