//maindat.h

#ifndef _maindat_h_
#define _maindat_h_
#include <stdint.h>
//#include "motors.h"

/*
	22.09.2018
	13.09.2018
	09.09.2018
*/

//глобальная структура данных
#define	_Mcnt_motmove		2	//правые и левые моторы
#define _MwrmotorL		0	//левые колёса
#define _MwrmotorR		1	//правые колёсв
#define _Mcnt_servomove		2	//горизонтальная и вертикальная сервомашины
#define _MwrservoH		0	//позиционирование по горизонтали
#define _MwrservoV		1	//позиционирование по вертикали
typedef struct _GDATA1
{
	//64-битные параметры
	uint64_t	timeMotorANDservo;			//время от моторов и сервомашин
	uint64_t	timeSonar;				//время от Сонара
	//16-битные параметры
	int16_t		wrmotors[_Mcnt_motmove];		//задание для моторов колёс
	uint16_t	wrspeed_motors[_Mcnt_motmove];		//задание времени реакции моторов
	int16_t		wrservo[_Mcnt_servomove];		//задание позиционирования
	uint16_t	wrservo_speed[_Mcnt_servomove];		//задание втемени позиционирования
	int16_t		rdmotors[_Mcnt_motmove];		//текщее задание для моторов колёс
	int16_t		rdservo[_Mcnt_servomove];		//текущее задание позиционирования
	int16_t		sonardistance;				//дальномер - дистанция см
	int16_t		sonarradius;				//дальномер - радиус "пятна" см
	uint16_t	status1;				//первый регистр флагов
	//8-ми битные параметры
	uint8_t		scntrl;					//источник управления
} GDATA1;

//описание status1
#define _status1_sonar_ok	0x0001				//сонар в работе
#define _status1_drive_ok	0x0002				//управление приводами в действии
#define _status1_servo_pos	0x0080				//блоктровка ро положению сервомашин
//описание scntrl
#define _scntrl_free		0x00				//никем не управляется
#define	_scntrl_servoANDmotors	0x01				//локальное управление самих приводов
#define	_scntrl_wsbot		0x02				/управление по websocket

#endif

